Patch a payment schedule.

Requires the PAYMENT_SCHEDULE.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID or reference of the resource.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
customer_idstringRequired
Resource ID of type CUSTOMER
referencestringRequiredformat: "^\S+$"0-256 characters
payment_method_idstringRequired

Resource ID of type PAYMENT_METHOD

billing_entity_idstringRequired

Resource ID of type BILLING_ENTITY

typeenumRequired
Allowed values:
customerobject or nullOptional
descriptionstring or nullOptional
statement_descriptorstring or nullOptional
payment_methodobject or nullOptional
dunningobjectOptional
payment_method_fallbackobjectOptional
installmentsobjectOptional
recurringobjectOptional
one_offobjectOptional

Response

OK
customer_idstring
Resource ID of type CUSTOMER
referencestringformat: "^\S+$"0-256 characters
payment_method_idstring

Resource ID of type PAYMENT_METHOD

billing_entity_idstring

Resource ID of type BILLING_ENTITY

typeenum
Allowed values:
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
updated_atstring or nullRead-only
statusenum or nullRead-only
Allowed values:
customerobject or null
descriptionstring or null
statement_descriptorstring or null
payment_methodobject or null
dunningobject
payment_method_fallbackobject
installmentsobject
recurringobject
one_offobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error